Package org.globus.gsi.stores

# Interface SecurityObjectWrapper<T>

Type Parameters:
  `T` - The type of security object to be wrapped

All Known Subinterfaces:
  `CredentialWrapper`

All Known Implementing Classes:
  `AbstractResourceSecurityWrapper`, `CertKeyCredential`, `ResourceCRL`, `ResourceProxyCredential`, `ResourceTrustAnchor`

public interface SecurityObjectWrapper<T>
Fill Me

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlias()`
`T`
`getSecurityObject()`
`boolean`
`hasChanged()`
`void`
`refresh()`

## Method Details

### refresh

void refresh() throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getSecurityObject

T getSecurityObject() throws ResourceStoreException

Throws:
  `ResourceStoreException`

### getAlias

String getAlias()

### hasChanged

boolean hasChanged()